Package org.apache.sling.feature.maven.mojos.apis.spi

# Interface ProcessorContext

public interface ProcessorContext
The context is used to pass in information into a `Processor`

## Method Summary

Modifier and Type
Method
Description
`void`
`addResource(String name, File file)`
Add a resource to the binary or source artifact.
`org.apache.sling.feature.extension.apiregions.api.ApiRegion`
`getApiRegion()`
Get the api region
`org.apache.sling.feature.Feature`
`getFeature()`
Get the feature
`org.apache.maven.plugin.logging.Log`
`getLog()`
The logger
`File`
`getOutputDirectory()`
Get the output directory.
`org.apache.maven.project.MavenProject`
`getProject()`
Get the project
`org.apache.maven.execution.MavenSession`
`getSession()`
Get the session

## Method Details

### getFeature

org.apache.sling.feature.Feature getFeature()
Get the feature

Returns:
  The feature

### getApiRegion

org.apache.sling.feature.extension.apiregions.api.ApiRegion getApiRegion()
Get the api region

Returns:
  The api region

### getProject

org.apache.maven.project.MavenProject getProject()
Get the project

Returns:
  The project

### getSession

org.apache.maven.execution.MavenSession getSession()
Get the session

Returns:
  The session

### getLog

org.apache.maven.plugin.logging.Log getLog()
The logger

Returns:
  The log

### getOutputDirectory

File getOutputDirectory()
Get the output directory. This directory should be used by `addResource(String, File)`

Returns:
  The output directory
Since:
  1.8.0

### addResource

void addResource(String name, File file)
Add a resource to the binary or source artifact.

Parameters:
  `name` - The name of the resource, might contain slashes
  `file` - The file to add
Since:
  1.8.0